# git commit

> கோப்புகளை களஞ்சியத்திற்கு கமிட்செய்ய.
> மேலும் விவரத்திற்கு: <https://git-scm.com/docs/git-commit>.

- ஒரு செய்தியுடன் களஞ்சியத்திற்கு அரங்குக் கோப்புகளை கமிட் செய்யுங்கள்:

`git commit -m "{{செய்தி}}"`

- ஒரு கோப்பிலிருந்து படிக்கப்பட்ட செய்தியுடன் கட்டப்பட்ட கோப்புகளை கமிட்செய்யவும்:

`git commit --file {{பாதை/டு/கமிட்_செய்தி_கோப்பு}}`

- அனைத்து மாற்றியமைக்கப்பட்ட கோப்புகளையும் தானாக நிலைநிறுத்து, செய்தியுடன் கமிட் செய்யுங்கள்:

`git commit -a -m "{{செய்தி}}"`

- ஸ்டேஜ் செய்யப்பட்ட கோப்புகளை கமிட்செய்து, அவற்றை `~/.gitconfig` இல் வரையறுக்கப்பட்ட GPG விசையுடன் [S] கையொப்பமிடுங்கள்:

`git commit -S -m "{{செய்தி}}"`

- கடைசி கட்டத்தை தற்போதைய நிலை மாற்றங்களுடன் கமிட் செய்யுங்கள்:

`git commit --amend`

- குறிப்பிட்ட (ஏற்கனவே அரங்கேற்றப்பட்ட) கோப்புகளை மட்டுமே கமிட் செய்யுங்கள்:

`git commit {{பாதை/டு/கோப்பு1}} {{பாதை/டு/கோப்பு2}}`

- கட்டப்பட்ட கோப்புகள் இல்லாவிட்டாலும், கமிட்டை உருவாக்கவும்:

`git commit -m "{{செய்தி}}" --allow-empty`
