# git config

> Керує спеціальними параметрами конфігурації для репозиторію Git.
> Конфігурації можуть бути локальні (для поточного репозиторію) або глобальні (для поточного користувача).
> Більше інформації: <https://git-scm.com/docs/git-config>.

- Надає перелік лише локальних налаштувань (що зберігаються у `.git/config` поточного репозиторію):

`git config --list --local`

- Надає перелік лише глобальних налаштувань (що зберігаються у `~/.gitconfig`):

`git config --list --global`

- Надає перелік усіх налаштувань незалежно від того, визначені вони локально чи глобально:

`git config --list`

- Отримує значення для наданого параметру конфігурації:

`git config alias.unstage`

- Встановлює глобальне значення для наданого параметру конфігурації:

`git config --global alias.unstage "reset HEAD --"`

- Повертає значення по замовчанню для наданого глобального параметру конфігурації:

`git config --global --unset alias.unstage`

- Відкриває для редагування файл конфігурацій поточного репозиторію у редакторі по замовчуванню:

`git config --edit`

- Відкриває для редагування файл з глобальними конфігураціями у редакторі по замовчанню:

`git config --global --edit`
